Subject: Ticket Assigned - Complain
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 23 Jun 2021 02:07:12 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complain The worst shop in treating customers in uae...not professional at all ..I am a regular customer for online shopping..and every time I order almost they send me wrong items...either the size or totally different item...and when you call the customer service and ask to speak to a manger...its impossible..like you ask to speak to the owner...they send me the sane wrong item 2 times...even I told them and complain...very very bad mangment in UAE...and then wait for a long time to return your money..You asked me to send you my order number...which order number you want...3 different wrong shipments in the last 2 month...wrong is size...wrong in model...and the funny thing that you support call center need support...they are lost...and your mangment is the worst I ever met...I stayed on the line for 20min to speak to any manager..but finally the call lady told me sorry all busy...2 time the same thing happened,, what is important than customers...and how can I trust this shop again...Bye the way my  last order the box of the shoes was like they find it in the garbage..in a very bad condition...I'm really disappointed from this unprofessional treatment. Sent from my Galaxy
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2751137